Get an inventory item
Retrieves the full details of a single inventory item by its ID, including category name.
Retrieves the full details of a single inventory item by its ID, including category name.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Inventory item ID
Response Body
application/json
curl -X GET "https://example.com/inventory/items/550e8400-e29b-41d4-a716-446655440000"{ "data": { "id": "string", "organizationId": "string", "categoryId": "string", "supplierId": "string", "name": "string", "sku": "string", "description": "string", "unit": "string", "currentQuantity": "string", "minQuantity": "string", "maxQuantity": "string", "unitCost": "string", "currency": "string", "storageLocation": "string", "lotNumber": "string", "expirationDate": "string", "barcode": "string", "imageKey": "string", "notes": "string", "isActive": true, "createdAt": "string", "updatedAt": "string", "categoryName": "string", "property1": null, "property2": null }}Empty
Empty
Get inventory dashboard statistics GET
Returns a comprehensive dashboard overview including total item count, total inventory value, low-stock and out-of-stock counts, expiring items, top 10 low-stock items, top 10 expiring items, recent stock adjustments, and category breakdown with values.
Get an inventory item image GET
Serves the managed image attached to an inventory item.